$ontext
The file hw11p1.m contains a non-convex bound constrained quadratic program.
It is solved using the built-in quadratic programming solver of the Matlab optimization toolbox.
Replace "quadprog" with a call to the "gams" interface routine.
You will need to update hw11p1.m appropriately, and also generate a file "hw11-1.gms" that implements the quadratic program solution.
Hard code (option qp=xxxx) the solver you wish to use in the gams file, choosing the one that generates the best solution.
If you use an option file, ensure you generate it within your gams file using the "$onecho" command.
(To install the gams interface just for the assignment on a windows machine, you simply need to download gams.dll
and matout.gms into the directory in which you are working, and use:
$batinclude matout x.l I
instead of
$libinclude matout x.l I
to dump out solution values back into gams.
$offtext

* QP formulation: min 1/2 x'Hx + f'x st. lb <= x <= ub

$setglobal m 50
$setglobal n 50
set j /1*%n%/;
alias (j1,j);

variable obj;
positive variable x(j);
parameter H(j,j1);
parameter f(j), lb(j), ub(j);

equation objEqn;

objEqn.. obj =e= 0.5*sum(j,x(j)*sum(j1,H(j,j1)*x(j1))) + sum(j,f(j)*x(j));

$if exist matdata.gms $include matdata.gms

x.lo(j) = lb(j);
x.up(j) = ub(j);
x.l(j) = 0.5;

model qp /objEqn/;

solve qp using nlp minimizing obj;

$libinclude matout x.l j



