set i /1*2/,
    j /1*3/;
alias (j1,j);

parameter 
Q(j,j1) /
        1 .1 1.0
        2 .2 1.0
        3 .3 1.0 /,
A(i,j) /
        1 .1 1.0
        1 .2 1.0
        1 .3 1.0
        2 .1 -1.0
        2 .3 1.0 /,
b(i) /
        1 1.0
        2 1.0 /
c(j) /
        1 2.0 /;

variable obj;
positive variable x(j);

equation cost, dual(i);

cost.. obj =e= 0.5*sum(j,x(j)*sum(j1,Q(j,j1)*x(j1))) + sum(j,c(j)*x(j));
dual(i)..   sum(j, A(i,j)*x(j)) =g= b(i);

model qp /cost,dual/;

$if exist matdata.gms $include matdata.gms

solve qp using nlp minimizing obj;

$libinclude matout x.l J
$libinclude matout dual.m I
